package types

// ReviewResult 代表代码审查结果
type ReviewResult struct {
	Comments []Comment
	Summary  string
}

// Comment 代表代码审查评论
type Comment struct {
	Path     string
	Line     int
	Content  string
	Severity Severity
}

// Severity 代表问题严重程度
type Severity string

const (
	Error   Severity = "error"
	Warning Severity = "warning"
	Info    Severity = "info"
)
