package types

// CodeChanges 代表代码变更信息
type CodeChanges struct {
	Repository  string
	Branch      string
	CommitID    string
	Files       []FileChange
	PullRequest *PullRequest
}

// FileChange 代表单个文件的变更
type FileChange struct {
	Path    string
	Content string
	OldPath string // 用于重命名场景
	Type    ChangeType
}

// ChangeType 代表变更类型
type ChangeType string

const (
	Added    ChangeType = "added"
	Modified ChangeType = "modified"
	Deleted  ChangeType = "deleted"
	Renamed  ChangeType = "renamed"
)

// PullRequest 代表 PR/MR 信息
type PullRequest struct {
	ID           int
	Title        string
	Description  string
	SourceBranch string
	TargetBranch string
}
